<?php

namespace Shop\Domain\ProviderOrder\Contracts;

use Repo\PaginationInterface;
use Repo\RepositoryCriteriaInterface;

/**
* Description of ProviderOrder
*
* @author Diamond Code Generator
*/
interface ProviderOrderCriteriaInterface extends RepositoryCriteriaInterface, PaginationInterface
{
    /**
     * @return string|null
     */
    public function getSortById(): ?string;

    /**
     * @return int|null
     */
    public function getFilterByStateId(): ?int;

    /**
     * @return string|null
     */
    public function getFilterByOrderCode():?string;
}           